summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2014-11-19 14:02:04 +0000
committerCarl Hetherington <cth@carlh.net>2014-11-19 14:02:04 +0000
commit7c34de96993118984ee3f683b2ff0c85fa1081cc (patch)
tree5e042b8c343ee6fa313a5c4084ee0ed064047856
parent30548ee7db0652fe492f11eb0dbf4b25ee693041 (diff)
Renamed script.
-rwxr-xr-xhacks/compare_dcp_tests36
1 files changed, 36 insertions, 0 deletions
diff --git a/hacks/compare_dcp_tests b/hacks/compare_dcp_tests
new file mode 100755
index 000000000..30949cdef
--- /dev/null
+++ b/hacks/compare_dcp_tests
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+name=$1
+if [ "$name" == "" ]; then
+ echo "Syntax $0 <name>"
+ exit 1
+fi
+
+mkdir -p tmp/ref
+cp test/data/$name/*video.mxf tmp/ref
+cd tmp/ref
+asdcp-unwrap *.mxf
+for f in *.j2c; do
+ j2k_to_image -i $f -o $f.png
+done
+cd ../..
+
+mkdir -p tmp/new
+for d in `find build/test/$name -mindepth 1 -maxdepth 1 -type d`; do
+ b=`basename $d`
+ echo $d, $b
+ if [ $b != "info" -a $b != "video" ]; then
+ cp $d/*video.mxf tmp/new
+ fi
+done
+
+cd tmp/new
+asdcp-unwrap *.mxf
+for f in *.j2c; do
+ j2k_to_image -i $f -o $f.png
+done
+cd ../..
+
+eog tmp/ref/*.png &
+eog tmp/new/*.png
+